# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsPySvn/SvnRevisionSelectionDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_SvnRevisionSelectionDialog(object):
    def setupUi(self, SvnRevisionSelectionDialog):
        SvnRevisionSelectionDialog.setObjectName("SvnRevisionSelectionDialog")
        SvnRevisionSelectionDialog.resize(399, 519)
        SvnRevisionSelectionDialog.setSizeGripEnabled(True)
        self.vboxlayout = QtWidgets.QVBoxLayout(SvnRevisionSelectionDialog)
        self.vboxlayout.setObjectName("vboxlayout")
        self.rev1GroupBox = QtWidgets.QGroupBox(parent=SvnRevisionSelectionDialog)
        self.rev1GroupBox.setObjectName("rev1GroupBox")
        self.gridlayout = QtWidgets.QGridLayout(self.rev1GroupBox)
        self.gridlayout.setObjectName("gridlayout")
        self.prev1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.prev1Button.setObjectName("prev1Button")
        self.gridlayout.addWidget(self.prev1Button, 6, 0, 1, 1)
        self.committed1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.committed1Button.setObjectName("committed1Button")
        self.gridlayout.addWidget(self.committed1Button, 5, 0, 1, 1)
        self.base1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.base1Button.setObjectName("base1Button")
        self.gridlayout.addWidget(self.base1Button, 4, 0, 1, 1)
        self.head1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.head1Button.setChecked(True)
        self.head1Button.setObjectName("head1Button")
        self.gridlayout.addWidget(self.head1Button, 2, 0, 1, 1)
        self.working1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.working1Button.setChecked(False)
        self.working1Button.setObjectName("working1Button")
        self.gridlayout.addWidget(self.working1Button, 3, 0, 1, 1)
        self.number1SpinBox = QtWidgets.QSpinBox(parent=self.rev1GroupBox)
        self.number1SpinBox.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.number1SpinBox.sizePolicy().hasHeightForWidth())
        self.number1SpinBox.setSizePolicy(sizePolicy)
        self.number1SpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight)
        self.number1SpinBox.setMinimum(1)
        self.number1SpinBox.setMaximum(999999999)
        self.number1SpinBox.setObjectName("number1SpinBox")
        self.gridlayout.addWidget(self.number1SpinBox, 0, 1, 1, 1)
        self.time1Edit = QtWidgets.QTimeEdit(parent=self.rev1GroupBox)
        self.time1Edit.setEnabled(False)
        self.time1Edit.setObjectName("time1Edit")
        self.gridlayout.addWidget(self.time1Edit, 1, 2, 1, 1)
        self.date1Edit = QtWidgets.QDateEdit(parent=self.rev1GroupBox)
        self.date1Edit.setEnabled(False)
        self.date1Edit.setCalendarPopup(True)
        self.date1Edit.setObjectName("date1Edit")
        self.gridlayout.addWidget(self.date1Edit, 1, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridlayout.addItem(spacerItem, 0, 2, 1, 1)
        self.number1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.number1Button.setObjectName("number1Button")
        self.gridlayout.addWidget(self.number1Button, 0, 0, 1, 1)
        self.date1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.date1Button.setObjectName("date1Button")
        self.gridlayout.addWidget(self.date1Button, 1, 0, 1, 1)
        self.vboxlayout.addWidget(self.rev1GroupBox)
        self.rev2GroupBox = QtWidgets.QGroupBox(parent=SvnRevisionSelectionDialog)
        self.rev2GroupBox.setObjectName("rev2GroupBox")
        self.gridlayout1 = QtWidgets.QGridLayout(self.rev2GroupBox)
        self.gridlayout1.setObjectName("gridlayout1")
        self.prev2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.prev2Button.setObjectName("prev2Button")
        self.gridlayout1.addWidget(self.prev2Button, 6, 0, 1, 1)
        self.committed2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.committed2Button.setObjectName("committed2Button")
        self.gridlayout1.addWidget(self.committed2Button, 5, 0, 1, 1)
        self.base2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.base2Button.setObjectName("base2Button")
        self.gridlayout1.addWidget(self.base2Button, 4, 0, 1, 1)
        self.head2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.head2Button.setChecked(False)
        self.head2Button.setObjectName("head2Button")
        self.gridlayout1.addWidget(self.head2Button, 2, 0, 1, 1)
        self.working2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.working2Button.setChecked(True)
        self.working2Button.setObjectName("working2Button")
        self.gridlayout1.addWidget(self.working2Button, 3, 0, 1, 1)
        self.number2SpinBox = QtWidgets.QSpinBox(parent=self.rev2GroupBox)
        self.number2SpinBox.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.number2SpinBox.sizePolicy().hasHeightForWidth())
        self.number2SpinBox.setSizePolicy(sizePolicy)
        self.number2SpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight)
        self.number2SpinBox.setMinimum(1)
        self.number2SpinBox.setMaximum(999999999)
        self.number2SpinBox.setObjectName("number2SpinBox")
        self.gridlayout1.addWidget(self.number2SpinBox, 0, 1, 1, 1)
        self.time2Edit = QtWidgets.QTimeEdit(parent=self.rev2GroupBox)
        self.time2Edit.setEnabled(False)
        self.time2Edit.setObjectName("time2Edit")
        self.gridlayout1.addWidget(self.time2Edit, 1, 2, 1, 1)
        self.date2Edit = QtWidgets.QDateEdit(parent=self.rev2GroupBox)
        self.date2Edit.setEnabled(False)
        self.date2Edit.setCalendarPopup(True)
        self.date2Edit.setObjectName("date2Edit")
        self.gridlayout1.addWidget(self.date2Edit, 1, 1, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridlayout1.addItem(spacerItem1, 0, 2, 1, 1)
        self.number2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.number2Button.setObjectName("number2Button")
        self.gridlayout1.addWidget(self.number2Button, 0, 0, 1, 1)
        self.date2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.date2Button.setObjectName("date2Button")
        self.gridlayout1.addWidget(self.date2Button, 1, 0, 1, 1)
        self.vboxlayout.addWidget(self.rev2GroupBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=SvnRevisionSelectionDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.vboxlayout.addWidget(self.buttonBox)

        self.retranslateUi(SvnRevisionSelectionDialog)
        self.buttonBox.accepted.connect(SvnRevisionSelectionDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(SvnRevisionSelectionDialog.reject) # type: ignore
        self.number1Button.toggled['bool'].connect(self.number1SpinBox.setEnabled) # type: ignore
        self.date1Button.toggled['bool'].connect(self.date1Edit.setEnabled) # type: ignore
        self.date1Button.toggled['bool'].connect(self.time1Edit.setEnabled) # type: ignore
        self.number2Button.toggled['bool'].connect(self.number2SpinBox.setEnabled) # type: ignore
        self.date2Button.toggled['bool'].connect(self.date2Edit.setEnabled) # type: ignore
        self.date2Button.toggled['bool'].connect(self.time2Edit.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(SvnRevisionSelectionDialog)
        SvnRevisionSelectionDialog.setTabOrder(self.number1Button, self.number1SpinBox)
        SvnRevisionSelectionDialog.setTabOrder(self.number1SpinBox, self.date1Button)
        SvnRevisionSelectionDialog.setTabOrder(self.date1Button, self.date1Edit)
        SvnRevisionSelectionDialog.setTabOrder(self.date1Edit, self.time1Edit)
        SvnRevisionSelectionDialog.setTabOrder(self.time1Edit, self.head1Button)
        SvnRevisionSelectionDialog.setTabOrder(self.head1Button, self.working1Button)
        SvnRevisionSelectionDialog.setTabOrder(self.working1Button, self.base1Button)
        SvnRevisionSelectionDialog.setTabOrder(self.base1Button, self.committed1Button)
        SvnRevisionSelectionDialog.setTabOrder(self.committed1Button, self.prev1Button)
        SvnRevisionSelectionDialog.setTabOrder(self.prev1Button, self.number2Button)
        SvnRevisionSelectionDialog.setTabOrder(self.number2Button, self.number2SpinBox)
        SvnRevisionSelectionDialog.setTabOrder(self.number2SpinBox, self.date2Button)
        SvnRevisionSelectionDialog.setTabOrder(self.date2Button, self.date2Edit)
        SvnRevisionSelectionDialog.setTabOrder(self.date2Edit, self.time2Edit)
        SvnRevisionSelectionDialog.setTabOrder(self.time2Edit, self.head2Button)
        SvnRevisionSelectionDialog.setTabOrder(self.head2Button, self.working2Button)
        SvnRevisionSelectionDialog.setTabOrder(self.working2Button, self.base2Button)
        SvnRevisionSelectionDialog.setTabOrder(self.base2Button, self.committed2Button)
        SvnRevisionSelectionDialog.setTabOrder(self.committed2Button, self.prev2Button)
        SvnRevisionSelectionDialog.setTabOrder(self.prev2Button, self.buttonBox)

    def retranslateUi(self, SvnRevisionSelectionDialog):
        _translate = QtCore.QCoreApplication.translate
        SvnRevisionSelectionDialog.setWindowTitle(_translate("SvnRevisionSelectionDialog", "Subversion Diff"))
        self.rev1GroupBox.setTitle(_translate("SvnRevisionSelectionDialog", "Revision &1"))
        self.prev1Button.setToolTip(_translate("SvnRevisionSelectionDialog", "Select revision before last commit"))
        self.prev1Button.setText(_translate("SvnRevisionSelectionDialog", "PREV"))
        self.committed1Button.setToolTip(_translate("SvnRevisionSelectionDialog", "Select last committed revision"))
        self.committed1Button.setText(_translate("SvnRevisionSelectionDialog", "COMMITTED"))
        self.base1Button.setToolTip(_translate("SvnRevisionSelectionDialog", "Select base revision"))
        self.base1Button.setText(_translate("SvnRevisionSelectionDialog", "BASE"))
        self.head1Button.setToolTip(_translate("SvnRevisionSelectionDialog", "Select head revision of repository"))
        self.head1Button.setText(_translate("SvnRevisionSelectionDialog", "HEAD"))
        self.working1Button.setToolTip(_translate("SvnRevisionSelectionDialog", "Select working revision"))
        self.working1Button.setText(_translate("SvnRevisionSelectionDialog", "WORKING"))
        self.number1SpinBox.setToolTip(_translate("SvnRevisionSelectionDialog", "Enter a revision number"))
        self.time1Edit.setToolTip(_translate("SvnRevisionSelectionDialog", "Enter time of revision"))
        self.date1Edit.setToolTip(_translate("SvnRevisionSelectionDialog", "Enter date of revision"))
        self.date1Edit.setDisplayFormat(_translate("SvnRevisionSelectionDialog", "yyyy-MM-dd"))
        self.number1Button.setToolTip(_translate("SvnRevisionSelectionDialog", "Select to specify a revision by number"))
        self.number1Button.setText(_translate("SvnRevisionSelectionDialog", "Number"))
        self.date1Button.setToolTip(_translate("SvnRevisionSelectionDialog", "Select to specify a revision by date and time"))
        self.date1Button.setText(_translate("SvnRevisionSelectionDialog", "Date"))
        self.rev2GroupBox.setTitle(_translate("SvnRevisionSelectionDialog", "Revision &2"))
        self.prev2Button.setToolTip(_translate("SvnRevisionSelectionDialog", "Select revision before last commit"))
        self.prev2Button.setText(_translate("SvnRevisionSelectionDialog", "PREV"))
        self.committed2Button.setToolTip(_translate("SvnRevisionSelectionDialog", "Select last committed revision"))
        self.committed2Button.setText(_translate("SvnRevisionSelectionDialog", "COMMITTED"))
        self.base2Button.setToolTip(_translate("SvnRevisionSelectionDialog", "Select base revision"))
        self.base2Button.setText(_translate("SvnRevisionSelectionDialog", "BASE"))
        self.head2Button.setToolTip(_translate("SvnRevisionSelectionDialog", "Select head revision of repository"))
        self.head2Button.setText(_translate("SvnRevisionSelectionDialog", "HEAD"))
        self.working2Button.setToolTip(_translate("SvnRevisionSelectionDialog", "Select working revision"))
        self.working2Button.setText(_translate("SvnRevisionSelectionDialog", "WORKING"))
        self.number2SpinBox.setToolTip(_translate("SvnRevisionSelectionDialog", "Enter a revision number"))
        self.time2Edit.setToolTip(_translate("SvnRevisionSelectionDialog", "Enter time of revision"))
        self.date2Edit.setToolTip(_translate("SvnRevisionSelectionDialog", "Enter date of revision"))
        self.date2Edit.setDisplayFormat(_translate("SvnRevisionSelectionDialog", "yyyy-MM-dd"))
        self.number2Button.setToolTip(_translate("SvnRevisionSelectionDialog", "Select to specify a revision by number"))
        self.number2Button.setText(_translate("SvnRevisionSelectionDialog", "Number"))
        self.date2Button.setToolTip(_translate("SvnRevisionSelectionDialog", "Select to specify a revision by date and time"))
        self.date2Button.setText(_translate("SvnRevisionSelectionDialog", "Date"))
